Summary:	Network protocol analyzer
Name:		wireshark
Version:	1.8.10
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://wireshark.org/download/src/all-versions/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}-autoconf.m4
Patch0:		%{name}-%{version}-aix.patch
URL:		http://www.wireshark.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	make

BuildRequires:	c-ares-devel >= 1.7.1
BuildRequires:	GeoIP-devel >= 1.4.7-0.1.20090931cvs
BuildRequires:	glib2-devel >= 2.22.5-2
BuildRequires:	gnutls-devel >= 2.6.6
BuildRequires:	gtk2-devel >= 2.18.5
BuildRequires:	libgcrypt-devel >= 1.4.5
BuildRequires:	libgpg-error-devel >= 1.7
BuildRequires:	libpcap-devel >= 0.9.8-2
BuildRequires:	libsmi-devel >= 0.4.8
BuildRequires:	lua-devel >= 5.1.5-1
BuildRequires:	pango-devel >= 1.24.5
BuildRequires:	pcre-devel >= 7.9
BuildRequires:	readline-devel >= 5.2-2
BuildRequires:	zlib-devel >= 1.2.3-3

Requires:	bash
Requires:	c-ares >= 1.7.1
Requires:	GeoIP >= 1.4.7-0.1.20090931cvs
Requires:	glib2 >= 2.22.5-2
Requires:	gnutls >= 2.6.6
Requires:	gtk2 >= 2.18.5
Requires:	libgcrypt >= 1.4.5
Requires:	libgpg-error >= 1.7
Requires:	libpcap >= 0.9.8-2
Requires:	libsmi >= 0.4.8
Requires:	lua >= 5.1.5-1
Requires:	pango >= 1.24.5
Requires:	pcre >= 7.9
Requires:	readline >= 5.2-2
Requires:	zlib >= 1.2.3-3

%description
Wireshark is a free network protocol analyzer for Unix and Windows. It
allows you to examine data from a live network or from a capture file
on disk. You can interactively browse the capture data, viewing summary
and detail information for each packet. Wireshark has several powerful
features, including a rich display filter language and the ability to
view the reconstructed stream of a TCP session.


%package devel
Summary:	Development headers and libraries for wireshark
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel >= 2.22.5-2

%description devel
The wireshark-devel package contains the header files, developer
documentation, and libraries required for development of wireshark scripts
and plugins.


%prep
%setup -q
%patch0
# fix the compile process
mkdir -p .libs
mkdir -p epan/.libs
cd .libs
ln -s ../epan/.libs/inet_pton.o .
ln -s ../epan/.libs/inet_pton.u .
cd ../epan
ln -s ../inet_pton.c .
cd ..
ln -s epan/inet_pton.lo .


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# for GTK2 xlc_r is needed
# export CC="xlc_r -D_LARGE_FILES"
# I had to switch to using GCC as I could not get the following file to compile:
# ./epan/dssectors/packet-vnc.c
# and the IBM XL C "-qenum=small" switch did not work :-( which should
# prevent this error according to the XL C documentation
export CC="gcc -D_LARGE_FILES"

export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

# force RTL linking and need "-bigtoc" linker option now
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000 -Wl,-brtl -Wl,-bbigtoc"

# we need a newer Perl for generating the man pages
export PATH=/opt/freeware/bin:$PATH

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --enable-wireshark \
    --disable-profile-build \
    --enable-ipv6 \
    --with-gnutls=yes \
    --with-gcrypt=yes \
    --with-libsmi \
    --with-pcap \
    --with-pcap-remote \
    --with-zlib \
    --with-pcre \
    --with-lua \
    --without-portaudio \
    --with-ssl=/opt/freeware \
    --without-krb5 \
    --with-c-ares \
    --with-adns \
    --with-geoip \
    --with-plugins

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/*

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/*

# install devel files
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_includedir}/%{name}
IDIR=${RPM_BUILD_ROOT}%{_includedir}/%{name}
mkdir -p ${IDIR}/epan
mkdir -p ${IDIR}/epan/crypt
mkdir -p ${IDIR}/epan/ftypes
mkdir -p ${IDIR}/epan/dfilter
mkdir -p ${IDIR}/epan/dissectors
mkdir -p ${IDIR}/wiretap
mkdir -p ${IDIR}/wsutil
cp color.h config.h register.h ${IDIR}/
cp cfile.h file.h              ${IDIR}/
cp packet-range.h print.h      ${IDIR}/
cp epan/*.h                    ${IDIR}/epan/
cp epan/crypt/*.h              ${IDIR}/epan/crypt
cp epan/ftypes/*.h             ${IDIR}/epan/ftypes
cp epan/dfilter/*.h            ${IDIR}/epan/dfilter
cp epan/dissectors/*.h         ${IDIR}/epan/dissectors
cp wiretap/*.h                 ${IDIR}/wiretap
cp wsutil/*.h                  ${IDIR}/wsutil
find ${IDIR} -name "*.h" -exec chmod 0644 {} \;

# create pkg-config control file.
mkdir -p "${RPM_BUILD_ROOT}%{_libdir}/pkgconfig"
cat > "${RPM_BUILD_ROOT}%{_libdir}/pkgconfig/%{name}.pc" <<- "EOF"
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name:		%{name}
Description:	Network Traffic Analyzer
Version:	%{version}
Requires:	glib-2.0 gmodule-2.0
Libs:		-L${libdir} -lwireshark -lwiretap
Cflags:		-DWS_VAR_IMPORT=extern -DHAVE_STDARG_H -I${includedir}/%{name} -I${includedir}/%{name}/epan
EOF

# install the autoconf macro.
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/aclocal
cp %{SOURCE3} ${RPM_BUILD_ROOT}%{_datadir}/aclocal/%{name}.m4
chmod 644 ${RPM_BUILD_ROOT}%{_datadir}/aclocal/%{name}.m4

# add wspy_dissectors directory for plugins
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}/python/%{version}/wspy_dissectors

# make symlinks
(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.aix
%{_bindir}/*
%{_libdir}/*.so*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/%{version}
%dir %{_libdir}/%{name}/python
%dir %{_libdir}/%{name}/python/%{version}
%dir %{_libdir}/%{name}/python/%{version}/wspy_dissectors
%{_mandir}/man?/*
%{_datadir}/%{name}
%attr(0644,root,system) /etc/X11/applnk/Graphics/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/usr/bin/*
/usr/lib/*.so*


%files devel
%defattr(-,root,system)
%doc doc/README.*
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*
/usr/include/*
/usr/lib/*.la


%changelog
* Thu Sep 12 2013 Michael Perzl <michael@perzl.org> - 1.8.10-1
- updated to version 1.8.10

* Sat Jul 27 2013 Michael Perzl <michael@perzl.org> - 1.8.9-1
- updated to version 1.8.9

* Thu Jun 20 2013 Michael Perzl <michael@perzl.org> - 1.8.8-1
- updated to version 1.8.8

* Mon May 20 2013 Michael Perzl <michael@perzl.org> - 1.8.7-1
- updated to version 1.8.7

* Thu Mar 07 2013 Michael Perzl <michael@perzl.org> - 1.8.6-1
- updated to version 1.8.6

* Tue Jan 29 2013 Michael Perzl <michael@perzl.org> - 1.8.5-1
- updated to version 1.8.5

* Thu Nov 29 2012 Michael Perzl <michael@perzl.org> - 1.8.4-1
- updated to version 1.8.4

* Wed Oct 03 2012 Michael Perzl <michael@perzl.org> - 1.8.3-1
- updated to version 1.8.3

* Sun Aug 19 2012 Michael Perzl <michael@perzl.org> - 1.8.2-1
- updated to version 1.8.2

* Mon Jul 30 2012 Michael Perzl <michael@perzl.org> - 1.8.1-2
- changed dependency on lua >= 5.1.5 because of updated lua package

* Tue Jul 24 2012 Michael Perzl <michael@perzl.org> - 1.8.1-1
- updated to version 1.8.1

* Fri Jun 22 2012 Michael Perzl <michael@perzl.org> - 1.8.0-1
- updated to version 1.8.0

* Tue May 22 2012 Michael Perzl <michael@perzl.org> - 1.6.8-1
- updated to version 1.6.8

* Sat Apr 07 2012 Michael Perzl <michael@perzl.org> - 1.6.7-1
- updated to version 1.6.7

* Wed Mar 28 2012 Michael Perzl <michael@perzl.org> - 1.6.6-1
- updated to version 1.6.6

* Fri Jan 13 2012 Michael Perzl <michael@perzl.org> - 1.6.5-1
- updated to version 1.6.5

* Sat Nov 19 2011 Michael Perzl <michael@perzl.org> - 1.6.4-1
- updated to version 1.6.4

* Sat Nov 19 2011 Michael Perzl <michael@perzl.org> - 1.6.3-1
- updated to version 1.6.3

* Fri Oct 28 2011 Michael Perzl <michael@perzl.org> - 1.6.2-1
- updated to version 1.6.2

* Fri Oct 28 2011 Michael Perzl <michael@perzl.org> - 1.4.9-1
- updated to version 1.4.9

* Fri Oct 28 2011 Michael Perzl <michael@perzl.org> - 1.2.18-1
- updated to version 1.2.18

* Wed Oct 20 2010 Michael Perzl <michael@perzl.org> - 1.2.12-1
- updated to version 1.2.12

* Fri Sep 03 2010 Michael Perzl <michael@perzl.org> - 1.2.11-1
- updated to version 1.2.11

* Fri Jul 30 2010 Michael Perzl <michael@perzl.org> - 1.2.10-1
- updated to version 1.2.10

* Sat Jun 12 2010 Michael Perzl <michael@perzl.org> - 1.2.9-1
- updated to version 1.2.9

* Thu May 20 2010 Michael Perzl <michael@perzl.org> - 1.2.8-2
- changed to RTL linking to enable DSO plugins
- added a "devel" package to be able to build additional plugins

* Wed May 19 2010 Michael Perzl <michael@perzl.org> - 1.2.8-1
- first version for AIX V5.1 and higher
